Package ghidra.program.util

# Class EquateInfo

java.lang.Object
ghidra.program.util.EquateInfo

public class EquateInfo extends Object
Class to hold information about an Equate; it is used in a ProgramChangeRecord when an equate is created and when references to the Equate are updated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EquateInfo(String name, long value, Address refAddr, int opIndex, long dynamicHash)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getDynamicHash()`
  Get the varnode dynamic hash of where the equate was placed; This value is meaningful only if the reference address is not null, and may be 0 if only the operand index applies.
  `String`
  `getName()`
  Get the equate name.
  `int`
  `getOperandIndex()`
  Get the operand index of where the equate was placed; This value is meaningful only if the reference address is not null, and may be -1 if only the dynamicHash applies.
  `Address`
  `getReferenceAddress()`
  Get the reference address.
  `long`
  `getValue()`
  Get the equate value.
  `String`
  `toString()`
  Return a meaningful string for debugging purposes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EquateInfo

    public EquateInfo(String name, long value, Address refAddr, int opIndex, long dynamicHash)
    Constructor.
    Parameters:
      `name` - Equate name
      `value` - Equate value
      `refAddr` - Reference address (may be null for some event types)
      `opIndex` - operand index for the reference; useful only if refAddr is not null. May be -1 if only dynamicHash applies.
      `dynamicHash` - dynamic hash. May be 0 if only opIndex applies.

- ## Method Details

  - ### getName

    public String getName()
    Get the equate name.

  - ### getValue

    public long getValue()
    Get the equate value.

  - ### getReferenceAddress

    public Address getReferenceAddress()
    Get the reference address.

  - ### getOperandIndex

    public int getOperandIndex()
    Get the operand index of where the equate was placed; This value is meaningful only if the reference address is not null, and may be -1 if only the dynamicHash applies.

  - ### getDynamicHash

    public long getDynamicHash()
    Get the varnode dynamic hash of where the equate was placed; This value is meaningful only if the reference address is not null, and may be 0 if only the operand index applies.

  - ### toString

    public String toString()
    Return a meaningful string for debugging purposes.
    Overrides:
      `toString` in class `Object`